Skip to main content
POST
/
v1
/
transactions
/
{id}
/
terminal_handoff
Terminal handoff for a transaction
curl --request POST \
  --url https://api.yorlet.com/v1/transactions/{id}/terminal_handoff \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "transaction",
  "adaptive_pricing": {
    "localized_prices": [
      {
        "amount": 123,
        "currency": "<string>",
        "presentment_exchange_rate": {
          "currency": "<string>",
          "exchange_rate": 123
        }
      }
    ]
  },
  "amount": 123,
  "application": "<string>",
  "balance_transaction": "<string>",
  "client_secret": "<string>",
  "confirmed_at": 123,
  "cross_border": {
    "amount": 123,
    "enabled": true
  },
  "currency": "<string>",
  "customer": "<string>",
  "description": "<string>",
  "dispute": "<string>",
  "invoice": "<string>",
  "last_payment_error": {
    "code": "<string>",
    "failed_at": 123,
    "message": "<string>"
  },
  "next_action": {
    "type": "redirect_to_url",
    "redirect_to_url": {
      "url": "<string>"
    }
  },
  "paid_at": 123,
  "payment_method": "<string>",
  "payment_method_types": [
    "<string>"
  ],
  "payment_session": "<string>",
  "presentment_details": {
    "amount": 123,
    "currency": "<string>"
  },
  "processing": {
    "type": "bacs_debit",
    "bacs_debit": {
      "timings": {
        "customer_debit_at": 123,
        "settlement_at": 123
      }
    }
  },
  "receipt_url": "<string>",
  "reporting_type": "<string>",
  "transfer_group": "<string>",
  "account": "<string>",
  "deleted": false,
  "amount_refunded": 0,
  "disputed": false,
  "metadata": {},
  "refunded": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns the terminal handoff for a transaction.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
transaction
adaptive_pricing
object
required

Adaptive pricing information, if enabled for this transaction.

amount
number
required

The amount of the transaction in the smallest currency unit (e.g. cents).

application
string | null
required

The ID of the application the transaction is associated with.

balance_transaction
required

The balance transaction associated with this transaction.

capture_method
enum<string> | null
required

Controls when the funds will be captured from the customer.

Available options:
automatic,
manual,
null
client_secret
string | null
required

The client secret used to complete the transaction on the client side.

confirmed_at
number | null
required

The time at which the transaction was confirmed.

cross_border
object
required

Cross-border payment information, if applicable.

currency
string
required

Three-letter ISO currency code, in lowercase. Must be a supported currency.

customer
required

The customer the transaction is for.

description
string | null
required

An arbitrary string attached to the object. Often useful for displaying to users.

dispute
required

The dispute associated with the transaction, if any.

invoice
required

The invoice the transaction was created to pay, if any.

last_payment_error
object
required

The most recent payment error encountered when attempting the transaction.

next_action
object
required

The next action required to complete the transaction, if any.

paid_at
number | null
required

The time at which the transaction was paid.

payment_method
required

The payment method used or to be used to complete the transaction.

payment_method_types
string[]
required

The payment method types allowed for this transaction.

payment_session
required

The payment session associated with this transaction, if any.

presentment_details
object
required

Details of the amount and currency presented to the customer.

processing
object
required

Details about the processing state of the transaction.

receipt_url
string | null
required

The URL of the hosted receipt for this transaction.

reporting_type
string
required

The reporting type used to categorize this transaction.

status
enum<string>
required

The status of the transaction.

Available options:
requires_payment_method,
requires_confirmation,
requires_action,
processing,
canceled,
succeeded
transfer_group
string | null
required

A string identifier that groups together transactions for a single transfer.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

amount_refunded
number
default:0

The amount that has been refunded for this transaction.

disputed
boolean
default:false

Whether the transaction has been disputed by the customer.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

refunded
boolean
default:false

Whether the transaction has been fully refunded.